QT       += core gui serialport network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += main.cpp
SOURCES += DeviceHubWindow.cpp
SOURCES += FrequencyTuningForm.cpp
SOURCES += SignalGeneratorForm.cpp
SOURCES += TimeSwitcherForm.cpp
SOURCES += FreqSwitcherForm.cpp
SOURCES += BCodeTerminalForm.cpp
SOURCES += FreqReplicatorForm.cpp
SOURCES += TimeReplicatorForm.cpp
SOURCES += NtpServerForm.cpp

HEADERS += DeviceHubWindow.h
HEADERS += FrequencyTuningForm.h
HEADERS += SignalGeneratorForm.h
HEADERS += TimeSwitcherForm.h
HEADERS += FreqSwitcherForm.h
HEADERS += BCodeTerminalForm.h
HEADERS += FreqReplicatorForm.h
HEADERS += TimeReplicatorForm.h
HEADERS += NtpServerForm.h

FORMS += DeviceHubWindow.ui
FORMS += FrequencyTuningForm.ui
FORMS += SignalGeneratorForm.ui
FORMS += TimeSwitcherForm.ui
FORMS += FreqSwitcherForm.ui
FORMS += BCodeTerminalForm.ui
FORMS += FreqReplicatorForm.ui
FORMS += TimeReplicatorForm.ui
FORMS += NtpServerForm.ui

DISTFILES += conf/config.ini

include(common/common.pri)
include(device/device.pri)
include(protocol/protocol.pri)

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

unix:!macx: LIBS += -L$$PWD/lib/librdkafka/ -lrdkafka -lrdkafka++

INCLUDEPATH += $$PWD/include/librdkafka
DEPENDPATH += $$PWD/include/librdkafka
